%define rname gpgme

Name: %rname-compat
Version: 0.3.16
Release: alt4
#define cvsdate 20020829

%define min_gnupg_version 1.2.0

Summary: GnuPG Made Easy!
License: GPL
Group: System/Libraries
Url: http://www.gnupg.org/related_software/gpgme/index.html
Packager: Sergey Vlasov <vsu@altlinux.ru>

%define srcname %rname-%version
%ifdef cvsdate
Source: %rname-%cvsdate.tar.bz2
%else
Source: ftp://ftp.gnupg.org/gcrypt/%rname/%srcname.tar.bz2
%endif

Patch1: %rname-0.3.9-alt-aclocal.patch
Patch2: %rname-0.3.16-fix-select-status.patch

Requires: gnupg >= %min_gnupg_version
BuildPreReq: gnupg >= %min_gnupg_version, libpth-devel

%ifdef cvsdate
BuildPreReq: autoconf_2.5 >= 2.57
BuildPreReq: automake_1.7
%endif

%def_disable static

%package -n lib%name
Summary: GnuPG Made Easy!
Group: System/Libraries
Requires: gnupg >= %min_gnupg_version
Provides: libgpgme = %version-%release
Obsoletes: libgpgme < %version-%release

%package -n lib%name-devel
Summary: Include files for development with GPGME
Group: System/Libraries
Requires: lib%name = %version-%release
Conflicts: libgpgme-devel

%package -n lib%name-devel-static
Summary: Static libraries for development with GPGME
Group: System/Libraries
Requires: lib%name-devel = %version-%release
Conflicts: libgpgme-devel-static

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications.  It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.

%description -n lib%name
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications.  It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.

%description -n lib%name-devel
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications.  It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.

This package contains include files required for development of GPGME-based
applications.

%description -n lib%name-devel-static
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications.  It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.

This package contains static libraries required for development of GPGME-based
statically linked applications.

%prep
%setup -q -n %rname%{?!cvsdate:-%version}
%patch1 -p1
%patch2 -p1

%build
%{?cvsdate:autoreconf -fisv}

export \
	%{?_enable_static:export lt_cv_prog_cc_static_works=yes} \
	%{?_disable_static:export lt_cv_prog_cc_static_works=no} \
	ac_cv_path_GPG=/usr/bin/gpg \
	ac_cv_path_GPGSM=/usr/bin/gpgsm \
	#

# --enable-maintainer-mode is required to generate the info file
# when building from CVS snapshot
%configure \
	%{?cvsdate: --enable-maintainer-mode } \
	--with-gpg=/usr/bin/gpg \
	--with-gpgsm=/usr/bin/gpgsm \
	%{subst_enable static} \
	#

%make_build
make check

%install
%makeinstall
%define _customdocdir %_docdir/lib%srcname

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post -n lib%name-devel
%install_info %rname.info

%preun -n lib%name-devel
%uninstall_info %rname.info

%files -n lib%name
%_libdir/*.so.*
%doc AUTHORS NEWS README THANKS TODO

%files -n lib%name-devel
%_bindir/*
%_includedir/*.h
%_libdir/*.so
%_datadir/aclocal/*.m4
%_infodir/%rname.info*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Wed Oct 13 2004 Dmitry V. Levin <ldv@altlinux.org> 0.3.16-alt4
- Cleaned up build dependencies.

* Mon Oct 11 2004 Sergey V Turchin <zerg at altlinux dot org> 0.3.16-alt3
- Bumped release.

* Mon Oct 11 2004 Sergey V Turchin <zerg at altlinux dot org> 0.3.16-alt2
- Fixed provides/obsoletes tags.

* Mon Oct 11 2004 Sergey V Turchin <zerg at altlinux dot org> 0.3.16-alt1
- Renamed to -compat, required for migration to new gpgme-1.0.0.

* Thu Aug 26 2004 Sergey Vlasov <vsu@altlinux.ru> 0.3.16-alt2
- Added gpgme-0.3.16-fix-select-status.patch: fix hang in tests/gpg/t-edit
  (the event loop was remembering that the fd was ready even after
  rungpg.c:read_status() had flushed it).
- Updated BuildRequires.

* Fri Dec 12 2003 Sergey Vlasov <vsu@altlinux.ru> 0.3.16-alt1
- 0.3.16 release:
  * Compatibility fixes for GnuPG 1.9.x
- Do not package static libraries by default.
- Removed *.la files.
- Updated BuildRequires.

* Thu May 29 2003 Sergey Vlasov <vsu@altlinux.ru> 0.3.15-alt1
- 0.3.15 release.
- Build with libpth support (does not introduce new dependencies for the
  binary package - thread library is detected using weak symbols).
- Build with gpgsm support (but the dependency to newpg is not added -
  the application/library package which links to libgpgme and uses the
  gpgsm features must have this dependency).

* Fri Feb 07 2003 Sergey Vlasov <vsu@altlinux.ru> 0.3.14-alt2
- Updated URL (#1656) and source location.
- Removed patch to set minimum required GnuPG version to 1.0.7.
  Now GnuPG >= 1.2.0 is required.

* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 0.3.14-alt1
- new version

* Sun Oct 27 2002 Sergey Vlasov <vsu@altlinux.ru> 0.3.12-alt1
- 0.3.12 release.
- Patch to set minimum required GnuPG version to 1.0.7
  (I don't see any changes which would require GnuPG 1.2.0).
- Added "make check" to make sure the library really works.

* Thu Aug 29 2002 Sergey Vlasov <vsu@altlinux.ru> 0.3.10-alt0.1
- Version from CVS 20020829 (bug with child process handling was fixed).
- Removed gnupg requires from *-devel.
- More specfile cleanup.
- Patch to backport gpgme.m4 to old autoconf (removed AC_HELP_STRING).

* Mon Sep 17 2001 Sergey Vlasov <vsu@altlinux.ru> 0.2.3-alt1
- 0.2.3

* Tue Apr 10 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.2.1-alt1
- 0.2.1
- Moved static libraries to devel-static subpackage.
- Specfile cleanup.

* Mon Feb 19 2001 AEN <aen@logic.ru>
- first build for Sisyphus
